# Necessary to allow a submodule to be defined in a separate repository and use this
#  package as its namespace package, while keeping own modules available for import:
from pkgutil import extend_path

__path__ = extend_path(__path__, __name__)
# The usual boilerplate code, generated by PsScaffold:
from importlib.metadata import PackageNotFoundError, version  # pragma: no cover

try:
    # Change here if project is renamed and does not equal the package name
    dist_name = "opensemantic"
    __version__ = version(dist_name)
except PackageNotFoundError:  # pragma: no cover
    __version__ = "unknown"
finally:
    del version, PackageNotFoundError

from opensemantic._model import (  # noqa
    OswBaseModel,
    get_full_title,
    get_namespace,
    get_title,
)
